========
telegraf
========

-------------------------------------------------------------------
The plugin-driven server agent for collecting and reporting metrics
-------------------------------------------------------------------

:Author: Telegraf was written by Influxdata.  This manpage was written
	 by Sergio Durigan Junior <sergio.durigan@canonical.com>
:Date: 2020-07-28
:Manual section: 1

SYNOPSIS
========

``telegraf`` ``--help``

``telegraf`` [*commands* | *flags*]

DESCRIPTION
===========

Telegraf is an agent for collecting, processing, aggregating, and
writing metrics.

Design goals are to have a minimal memory footprint with a plugin
system so that developers in the community can easily add support for
collecting metrics.

OPTIONS
=======

version
  print the version to stdout

config
  print out full sample configuration to stdout

--aggregator-filter <filter>
  filter the aggregators to enable, separator is :

--config <file>
  configuration file to load

--config-directory <directory>
  directory containing additional \*.conf files

--plugin-directory
  directory containing \*.so files, this directory will be searched recursively. Any Plugin found will be loaded and namespaced.

--debug
  turn on debug logging

--input-filter <filter>
  filter the inputs to enable, separator is :

--input-list
  print available input plugins.

--output-filter <filter>
  filter the outputs to enable, separator is :

--output-list
  print available output plugins.

--pidfile <file>
  file to write our pid to

--pprof-addr <address>
  pprof address to listen on, don't activate pprof if empty

--processor-filter <filter>
  filter the processors to enable, separator is :

--quiet
  run in quiet mode

--section-filter
  filter config sections to output, separator is : Valid values are 'agent', 'global_tags', 'outputs', 'processors', 'aggregators' and 'inputs'

--sample-config
  print out full sample configuration

--test
  gather metrics, print them out, and exit; processors, aggregators, and outputs are not run

--test-wait
  wait up to this many seconds for service inputs to complete in test mode

--usage <plugin>
   print usage for a plugin, ie, `telegraf --usage mysql`

--version
  display the version and exit

EXAMPLES
========

.. code::

    # generate a telegraf config file:
    telegraf config > telegraf.conf

    # generate config with only cpu input & influxdb output plugins defined
    telegraf --input-filter cpu --output-filter influxdb config

    # run a single telegraf collection, outputting metrics to stdout
    telegraf --config telegraf.conf --test

    # run telegraf with all plugins defined in config file
    telegraf --config telegraf.conf

    # run telegraf, enabling the cpu & memory input, and influxdb output plugins
    telegraf --config telegraf.conf --input-filter cpu:mem --output-filter influxdb

    # run telegraf with pprof
    telegraf --config telegraf.conf --pprof-addr localhost:6060
